Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005995TestLinkRequirements Import - TL XML formatpublic2013-10-24 08:042013-11-17 09:53
Reporterartem 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinux(Ubuntu)OS Version 13.04
Product Version1.9.8 (2013 Q3 - bug fixing) 
Fixed in Version1.9.9 (2013 Q4 - bug fixing) 
Summary0005995: Import req from DocBook to testlink don't work. (typo error)
DescriptionFunction for import from DocBook format into testlink project (parsing&saving in db) don't works.
Steps To Reproduce1. Open 'Requirements'-> 'Create Requirements Specification Test Project '
2. Select created in p.1 project and pres 'Import' in 'Requirement Operations' section
3. Select DocBook format in File type listbox and select DocBook file from testlink examples dir.
4. Press upload
Additional InformationI fixed this bug just changed next piece of code in loadImportReq function (lib/functions/requirements.inc.php):
In lib/functions/requirements.inc.php:245 instead '$retval = $dummy;'
I just wrote 'return $dummy;'

P.S. I'm not php developer and I also like when function have only one 'return';)
And I hope you will fix this problem with more elegance than I.

Thank you for your product.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browserchromium
PHP VersionVersion: 5.4.9-4ubuntu2
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005897closedfman Availables hot-fixes for 1.9.8 & How To get full fixed package from gitorious 

-  Notes
(0019881)
artem (reporter)
2013-10-24 11:36

Addition to bug's description:
loadImportedReq(...) works fine but returns NULL to doReqImportOther(...) in
$impSet['info'] var. Result of import operation is ok but list of reqs is empty.
(0019883)
fman (administrator)
2013-10-24 20:48

will check, thanks for help
(0019885)
fman (administrator)
2013-10-26 07:24

'$retval = $dummy;' => $retVal = $dummy PHP is case sensitive
(0020065)
fman (administrator)
2013-11-17 09:53

1.9.9 Released

- Issue History
Date Modified Username Field Change
2013-10-24 08:04 artem New Issue
2013-10-24 11:36 artem Note Added: 0019881
2013-10-24 20:48 fman Note Added: 0019883
2013-10-26 07:24 fman Note Added: 0019885
2013-10-26 07:27 fman Summary Import req from DocBook to testlink don't work. => Import req from DocBook to testlink don't work. (typo error)
2013-10-26 07:28 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-10-26 07:28 fman Status new => resolved
2013-10-26 07:28 fman Fixed in Version => 1.9.9 (2013 Q4 - bug fixing)
2013-10-26 07:28 fman Resolution open => fixed
2013-10-26 07:28 fman Assigned To => fman
2013-10-26 07:28 fman Relationship added child of 0005897
2013-11-17 09:53 fman Note Added: 0020065
2013-11-17 09:53 fman Status resolved => closed
2013-11-24 18:50 fman Category Import Requirements - XML format => Requirements Import - TL XML format



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker